<?php

namespace Mavabc\Communityoutreach\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CommunityOutreachTransformer extends TransformerAbstract
{
    public function transform(\Mavabc\Communityoutreach\Models\CommunityOutreach $community_outreach)
    {
        return [
            'id'                => $community_outreach->getRouteKey(),
            'key'               => [
                'public'    => $community_outreach->getPublicKey(),
                'route'     => $community_outreach->getRouteKey(),
            ], 
            'id'                => $community_outreach->id,
            'order'             => $community_outreach->order,
            'title'             => $community_outreach->title,
            'slug'              => $community_outreach->slug,
            'status'            => $community_outreach->status,
            'user_id'           => $community_outreach->user_id,
            'description'       => $community_outreach->description,
            'upload_folder'     => $community_outreach->upload_folder,
            'images'            => $community_outreach->images,
            'icon'              => $community_outreach->icon,
            'created_at'        => $community_outreach->created_at,
            'updated_at'        => $community_outreach->updated_at,
            'deleted_at'        => $community_outreach->deleted_at,
            'url'               => [
                'public'    => trans_url('communityoutreach/'.$community_outreach->getPublicKey()),
                'user'      => guard_url('communityoutreach/community_outreach/'.$community_outreach->getRouteKey()),
            ], 
            'status'            => trans('app.'.$community_outreach->status),
            'created_at'        => format_date($community_outreach->created_at),
            'updated_at'        => format_date($community_outreach->updated_at),
        ];
    }
}